| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# EventCollectionSelector::MyContextType Class Reference

`#include <EventCollectionSelector.h>`

Inheritance diagram for EventCollectionSelector::MyContextType:

[legend]
Collaboration diagram for EventCollectionSelector::MyContextType:

[legend]
List of all members.

## Detailed Description

Definition at line 43 of file EventCollectionSelector.h.

## Public Member Functions
| MyContextType (NTuple::Tuple *t, NTuple::Item< IOpaqueAddress * > *i)
| MyContextType (MyContextType *ctxt=0)
| MyContextType (const MyContextType &ctxt)
virtual | ~MyContextType ()
virtual void * | identifier () const
void | setAddress (IOpaqueAddress *pAddr)
## Public Attributes
std::string | criteria
NTuple::Tuple * | tuple
NTuple::Item< IOpaqueAddress * > * | item
IOpaqueAddress * | addressBuffer

## Constructor & Destructor Documentation

EventCollectionSelector::MyContextType::MyContextType | ( | NTuple::Tuple * | t,
|  | NTuple::Item< IOpaqueAddress * > * | i |
| ) |  |  | `[inline]`

Definition at line 49 of file EventCollectionSelector.h.

References IOpaqueAddress::addRef(), addressBuffer, item, and tuple.

    00049                                                                      {
    00050       addressBuffer = new GenericAddress();
    00051       addressBuffer->addRef();
    00052       tuple = t;
    00053       item = i;
    00054     }

EventCollectionSelector::MyContextType::MyContextType | ( | MyContextType * | ctxt = `0` | ) | `[inline]`

Definition at line 55 of file EventCollectionSelector.h.

References IOpaqueAddress::addRef(), addressBuffer, item, and tuple.

    00055                                           {
    00056       addressBuffer = new GenericAddress();
    00057       addressBuffer->addRef();
    00058       tuple = (ctxt) ? ctxt->tuple : 0;
    00059       item  = (ctxt) ? ctxt->item : 0;
    00060     }

EventCollectionSelector::MyContextType::MyContextType | ( | const MyContextType & | ctxt | ) | `[inline]`

Definition at line 61 of file EventCollectionSelector.h.

References IOpaqueAddress::addRef(), addressBuffer, item, and tuple.

    00062       : IEvtSelector::Context(ctxt)
    00063     {
    00064       addressBuffer = new GenericAddress();
    00065       addressBuffer->addRef();
    00066       tuple = ctxt.tuple;
    00067       item  = ctxt.item;
    00068     }

virtual EventCollectionSelector::MyContextType::~MyContextType | ( |  | ) | `[inline, virtual]`

Definition at line 69 of file EventCollectionSelector.h.

References addressBuffer, and IOpaqueAddress::release().

    00069                                 {
    00070       addressBuffer->release();
    00071     }

## Member Function Documentation

virtual void* EventCollectionSelector::MyContextType::identifier | ( |  | ) | const`[inline, virtual]`

Implements IEvtSelector::Context.

Definition at line 72 of file EventCollectionSelector.h.

References addressBuffer.

    00072                                      {
    00073       return (void*)addressBuffer;
    00074     }

void EventCollectionSelector::MyContextType::setAddress | ( | IOpaqueAddress * | pAddr | ) |

## Member Data Documentation

std::string EventCollectionSelector::MyContextType::criteria

Definition at line 45 of file EventCollectionSelector.h.

Referenced by EventCollectionSelector::resetCriteria().

NTuple::Tuple* EventCollectionSelector::MyContextType::tuple

Definition at line 46 of file EventCollectionSelector.h.

Referenced by EventCollectionSelector::connectCollection(), MyContextType(), EventCollectionSelector::next(), and EventCollectionSelector::previous().

NTuple::Item<IOpaqueAddress*>* EventCollectionSelector::MyContextType::item

Definition at line 47 of file EventCollectionSelector.h.

Referenced by EventCollectionSelector::connectCollection(), EventCollectionSelector::createAddress(), MyContextType(), EventCollectionSelector::next(), and EventCollectionSelector::previous().

IOpaqueAddress* EventCollectionSelector::MyContextType::addressBuffer

Definition at line 48 of file EventCollectionSelector.h.

Referenced by identifier(), MyContextType(), EventCollectionSelector::next(), EventCollectionSelector::previous(), and ~MyContextType().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/EventSelector/EventCollectionSelector.h